package service

import (
	"context"
	"git.oa00.com/supply-chain/service/client"
)

type Service struct {
	Audit audit
}

type ReplyServiceAll struct {
	ServiceId   uint   `json:"serviceId"`
	ServiceName string `json:"serviceName"`
	EndTime     int64  `json:"endTime"`
}

// All @Title 全部服务
func (s *Service) All(ctx context.Context, customerId uint) (reply []ReplyServiceAll, err error) {
	xClient, err := client.GetClient(s)
	if err != nil {
		return
	}
	err = xClient.Call(ctx, "All", customerId, &reply)
	return
}
